mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType This class is used to acess variable arguments on methods that use the __arglist calling convention. To be added
- Constructor
  The handle to the argument list, as obtained by the special compiler __arglist expression.
  Creates an ArgIterator from a RuntimeArgumentHandle.
  Here is an example of a routine that uses the __arglist calling conventions:

  using System;

  class ArgIteratorDemo {

  static int AddABunchOfInts (__arglist) { int result = 0;

  System.ArgIterator iter = new System.ArgIterator (__arglist); int argCount = iter.GetRemainingCount();

  for (int i = 0; i < argCount; i++) { System.TypedReference typedRef = iter.GetNextArg(); result += (int)TypedReference.ToObject( typedRef ); }

  return result; }

  static void Main (string[] args) { int result = AddABunchOfInts (__arglist ( 2, 3, 4 )); Console.WriteLine ("Answer: {0}", result); } }
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  The argument list, as obtained by the special compiler keyword __arglist.
  Overrides the starting address for computing parameters.
  Initialize an ArgIterator using a base address.
  Here is an example of a routine that uses the __arglist calling conventions:

  using System;

  class ArgIteratorDemo {

  static int AddABunchOfInts (__arglist) { int result = 0;

  System.ArgIterator iter = new System.ArgIterator (__arglist); int argCount = iter.GetRemainingCount();

  for (int i = 0; i < argCount; i++) { System.TypedReference typedRef = iter.GetNextArg(); result += (int)TypedReference.ToObject( typedRef ); }

  return result; }

  static void Main (string[] args) { int result = AddABunchOfInts (__arglist ( 2, 3, 4 )); Console.WriteLine ("Answer: {0}", result); } }
  System.CLSCompliant(false)
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void Finishes iterating over the arguments. Invalidates the ArgIterator instance, from this point on operations will throw an exception. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TypedReference Returns the next argument. Returns the next argument as a . This advances the position of the argument iterator. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.TypedReference `` To be added: an object of type 'RuntimeTypeHandle' To be added To be added: an object of type 'TypedReference' To be added 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.RuntimeTypeHandle Returns the type of the next argument. To be added: an object of type 'RuntimeTypeHandle' This does not advance the current position in the iterator. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 Returns the number of remaining arguments to be processed. The count of arguments remaining to be processed. 1.0.5000.0 2.0.0.0 4.0.0.0